BeagleWksSSParserInternal::State Struct Reference documentation

BeagleWksSSParserInternal::State Struct Reference

Internal: the state of a BeagleWksSSParser. More...

## Public Member Functions
| State ()
| constructor

## Static Public Member Functions
static bool | getColor (int id, MWAWColor &color)
| returns a color corresponding to an id

## Public Attributes
long | m_spreadsheetBegin
| the spreadsheet begin position
Spreadsheet | m_spreadsheet
| the spreadsheet
std::string | m_spreadsheetName
| the spreadsheet name
std::vector< std::shared_ptr< Chart > > | m_chartList
| the list of chart
std::multimap< std::string, MWAWEntry > | m_typeEntryMap
| the type entry map
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known

## Detailed Description

Internal: the state of a BeagleWksSSParser.

## Constructor & Destructor Documentation

## ◆ State()

BeagleWksSSParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getColor()

bool BeagleWksSSParserInternal::State::getColor | ( | int | id,
|  | MWAWColor & | color )
| inlinestatic

returns a color corresponding to an id

## Member Data Documentation

## ◆ m_actPage

int BeagleWksSSParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_chartList

std::vector<std::shared_ptr<Chart> > BeagleWksSSParserInternal::State::m_chartList

the list of chart

Referenced by State().

## ◆ m_footerHeight

int BeagleWksSSParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## ◆ m_headerHeight

int BeagleWksSSParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## ◆ m_numPages

int BeagleWksSSParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## ◆ m_spreadsheet

Spreadsheet BeagleWksSSParserInternal::State::m_spreadsheet

the spreadsheet

Referenced by State().

## ◆ m_spreadsheetBegin

long BeagleWksSSParserInternal::State::m_spreadsheetBegin

the spreadsheet begin position

Referenced by State().

## ◆ m_spreadsheetName

std::string BeagleWksSSParserInternal::State::m_spreadsheetName

the spreadsheet name

Referenced by State().

## ◆ m_typeEntryMap

std::multimap<std::string, MWAWEntry> BeagleWksSSParserInternal::State::m_typeEntryMap

the type entry map

Referenced by State().

The documentation for this struct was generated from the following file:

- BeagleWksSSParser.cxx